import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { GetApplicationInput, GetApplicationOutput } from "../models/models_0";
export { __MetadataBearer };
export interface GetApplicationCommandInput extends GetApplicationInput {}
export interface GetApplicationCommandOutput
  extends GetApplicationOutput,
    __MetadataBearer {}
declare const GetApplicationCommand_base: {
  new (
    input: GetApplicationCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetApplicationCommandInput,
    GetApplicationCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: GetApplicationCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetApplicationCommandInput,
    GetApplicationCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class GetApplicationCommand extends GetApplicationCommand_base {
  protected static __types: {
    api: {
      input: GetApplicationInput;
      output: GetApplicationOutput;
    };
    sdk: {
      input: GetApplicationCommandInput;
      output: GetApplicationCommandOutput;
    };
  };
}
